# Configuration file local to this node

{ config, pkgs, ... }:

{
  # Use the systemd-boot EFI boot loader.
  boot.loader.systemd-boot.enable = true;
  boot.loader.timeout = 20;
  boot.loader.efi.canTouchEfiVariables = true;

  networking.hostName = "carcajou";

  networking.interfaces.eno1.useDHCP = false;
  networking.interfaces.eno1.ipv4.addresses = [
    {
      address = "192.168.1.22";
      prefixLength = 24;
    }
  ];
  networking.defaultGateway = {
    address = "192.168.1.254";
    interface = "eno1";
  };

  networking.wireguard.interfaces.wg0 = {
    ips = [ "10.42.0.22/16" ];
    listenPort = 33722;
  };

  # Enable netdata monitoring
  services.netdata.enable = true;

  # ----

  nix = {
    binaryCaches = [
      "http://binarycache.home.adnab.me"
    ];
    binaryCachePublicKeys = [
      "binarycache.home.adnab.me:ErR6pMnewf9oVyZJd5uC2nI4EZF49c7Mh86eDZWYZaw="
    ];
  };
}
