# Edit this configuration file to define what should be installed on
# your system.  Help is available in the configuration.nix(5) man page
# and in the NixOS manual (accessible by running ‘nixos-help’).

{ config, pkgs, ... }:

{
  boot.loader.grub.enable = true;
  boot.loader.grub.version = 2;
  boot.loader.grub.device = "/dev/sda"; # or "nodev" for efi only

  networking.hostName = "spoutnik";
  services.openssh.ports = [ 220 ];

  networking.interfaces.enp0s25.useDHCP = false;
  networking.interfaces.enp0s25.ipv4.addresses = [
    {
      address = "192.168.0.40";
      prefixLength = 24;
    }
  ];
  networking.defaultGateway = {
    address = "192.168.0.1";
    interface = "enp0s25";
  };

  networking.wireguard.interfaces.wg0 = {
    ips = [ "10.42.0.2/16" ];
    listenPort = 42136;
  };
}

